summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-10-08 10:36:58 +0200
committerErich Eckner <git@eckner.net>2018-10-08 10:36:58 +0200
commit9e2756e7423cee9237ed22b4f977dea7f4dcdf0e (patch)
treeef38363148fb2d399a04658e9799f78fa2475f52 /bin/build-packages
parent00cd1c1f5f1373b4947792cec4b054450c949202 (diff)
downloadbuilder-9e2756e7423cee9237ed22b4f977dea7f4dcdf0e.tar.xz
lib/common-functions: download_sources_by_hash() should not check out the source directory again
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 228f45f..b4b5dcd 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -405,7 +405,7 @@ while [ "${count}" -ne 0 ] && \
continue
fi
# download it from sources.archlinux32.org by its hash
- if ! download_sources_by_hash "${package}" "${repository}" "${git_revision}" "${mod_git_revision}"; then
+ if ! download_sources_by_hash; then
# we can't improve anything, if no source was downloadable
continue
fi